This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 143679 - desktop does not refresh when a file is added
desktop does not refresh when a file is added
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-23 17:24 EST by Don Hardaway
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 17:02:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Gamin-Nautilus Debug (1.69 KB, text/plain)
2005-02-13 15:49 EST, Naadir Jeewa
no flags Details

  None (edit)
Description Don Hardaway 2004-12-23 17:24:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When i save a file to the desktop it does not appear unless I logout
and login again.

Version-Release number of selected component (if applicable):
gnome-desktop-2.8.0-3

How reproducible:
Always

Steps to Reproduce:
1.save a file to the desktop
2.
3.
    

Actual Results:  it does not appear

Expected Results:  it appears immediately

Additional info:
Comment 1 James Laska 2005-01-10 16:01:41 EST
I am also observing this issue when using rawhide as of 2005-01-10 which includes:

  gnome-desktop-2.8.0-3.i386
  gamin-0.0.20-1.i386
  gnome-panel-2.8.1-6.i386
  gnome-vfs2-2.8.2-10.i386

I can trigger a desktop update by selecting the root window and hitting ctrl-r
which seems to force a redraw.
Comment 3 Don Hardaway 2005-01-15 14:13:40 EST
Is anyone working on this? This is a serious issue!
Comment 4 Need Real Name 2005-01-15 14:17:07 EST
Create new 'Launcher' doesn't refresh the dekstop for me although
creating a new file or folder seems to work ok.

I am using the gamin from
http://www.gnome.org/~veillard/gamin/RPMS/FC3/i386/
Comment 5 Need Real Name 2005-01-15 19:34:36 EST
if a file is created from an application doesn't refresh desktop for
me either ... bug looks the same as 139116
Comment 6 Paul Pianta 2005-02-04 11:36:20 EST
I am gonna add to this too. I use the desktop as THE place for saving
all my documents before filing them away, eg. downloads from the web,
attachments from emails, etc.

It is majorly annoying that the file I just downloaded is not
displayed where I downloaded it to. Forcing a refresh by browsing to
the desktop in a nautilus window and hitting Ctrl-R is not a valid option.

It seems gamin is working fine on all other directories - and it even
works fine when browsing the desktop directory in nautilus. It is just
the nautilus displayed desktop that is not refreshing ...
Comment 7 Naadir Jeewa 2005-02-13 15:31:20 EST
This doesn't work even when in the desktop directory for me.
Works fine on kdesktop though.
Comment 8 Naadir Jeewa 2005-02-13 15:49:50 EST
Created attachment 111041 [details]
Gamin-Nautilus Debug

This is on kernel 2.6.11-rc1-love1
Comment 9 Daniel Veillard 2005-03-01 17:02:41 EST
This should be fixed in gamin-0.0.24, and 0.0.25 fixes some regressions
introduced in 0.0.24. It's in rawhide or at
   http://www.gnome.org/~veillard/gamin/sources/

Daniel
Comment 10 Naadir Jeewa 2005-03-02 15:15:55 EST
Confirmed fixed

Note You need to log in before you can comment on or make changes to this bug.